{ pkgs, ... }:
{
    programs = {
        gamemode = {
            enable = true;
            enableRenice = true;
        };

        gamescope = {
            enable = true;
            capSysNice = true;
        };
        
        steam = {
            enable = true;
            extest.enable = true;
            protontricks.enable = true;
        };
    };
    environment.systemPackages = with pkgs; [
        mangojuice
        mangohud
    ];
}